Package org.apache.activemq.artemis.jms.client

## Class ActiveMQTopicConnectionFactory

- java.lang.Object
- - org.apache.activemq.artemis.jndi.JNDIStorable
  - - org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory
    - - org.apache.activemq.artemis.jms.client.ActiveMQTopicConnectionFactory

- All Implemented Interfaces:
    `java.io.Externalizable`, `java.io.Serializable`, `java.lang.AutoCloseable`, `javax.jms.ConnectionFactory`, `javax.jms.TopicConnectionFactory`, `javax.jms.XAConnectionFactory`, `javax.naming.Referenceable`, `ConnectionFactoryOptions`

      public class ActiveMQTopicConnectionFactory
      extends ActiveMQConnectionFactory
      implements javax.jms.TopicConnectionFactory

  ActiveMQ Artemis implementation of a JMS ConnectionFactory.

  This connection factory will use defaults defined by `DefaultConnectionProperties`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQTopicConnectionFactory()` |
    `ActiveMQTopicConnectionFactory​(boolean ha, DiscoveryGroupConfiguration groupConfiguration)` |
    `ActiveMQTopicConnectionFactory​(boolean ha, TransportConfiguration... initialConnectors)` |
    `ActiveMQTopicConnectionFactory​(java.lang.String url)` |
    `ActiveMQTopicConnectionFactory​(java.lang.String url, java.lang.String user, java.lang.String password)` |
    `ActiveMQTopicConnectionFactory​(ServerLocator serverLocator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFactoryType()` |

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory

      `buildFromProperties, close, createConnection, createConnection, createConnectionInternal, createContext, createContext, createContext, createContext, createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, createXAConnection, createXAConnection, createXAContext, createXAContext, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection, getCallFailoverTimeout, getCallTimeout, getClientFailureCheckPeriod, getClientID, getConfirmationWindowSize, getConnectionLoadBalancingPolicyClassName, getConnectionTTL, getConsumerMaxRate, getConsumerWindowSize, getDeserializationBlackList, getDeserializationWhiteList, getDiscoveryGroupConfiguration, getDupsOKBatchSize, getGroupID, getIncomingInterceptorList, getInitialConnectAttempts, getInitialMessagePacketSize, getMaxRetryInterval, getMinLargeMessageSize, getOutgoingInterceptorList, getPassword, getProducerMaxRate, getProducerWindowSize, getProtocolManagerFactoryStr, getReconnectAttempts, getRetryInterval, getRetryIntervalMultiplier, getScheduledThreadPoolMaxSize, getServerLocator, getStaticConnectors, getThreadPoolMaxSize, getTransactionBatchSize, getUser, isAutoGroup, isBlockOnAcknowledge, isBlockOnDurableSend, isBlockOnNonDurableSend, isCacheDestinations, isCacheLargeMessagesClient, isCompressLargeMessage, isEnable1xPrefixes, isEnableSharedClientID, isFailoverOnInitialConnection, isHA, isIgnoreJTA, isPreAcknowledge, isUseGlobalPools, isUseTopologyForLoadBalancing, makeReadOnly, populateProperties, readExternal, setAutoGroup, setBlockOnAcknowledge, setBlockOnDurableSend, setBlockOnNonDurableSend, setBrokerURL, setCacheDestinations, setCacheLargeMessagesClient, setCallFailoverTimeout, setCallTimeout, setClientFailureCheckPeriod, setClientID, setCompressLargeMessage, setConfirmationWindowSize, setConnectionLoadBalancingPolicyClassName, setConnectionTTL, setConsumerMaxRate, setConsumerWindowSize, setDeserializationBlackList, setDeserializationWhiteList, setDupsOKBatchSize, setEnable1xPrefixes, setEnableSharedClientID, setFailoverOnInitialConnection, setGroupID, setIgnoreJTA, setIncomingInterceptorList, setInitialConnectAttempts, setInitialMessagePacketSize, setMaxRetryInterval, setMinLargeMessageSize, setOutgoingInterceptorList, setPassword, setPreAcknowledge, setProducerMaxRate, setProducerWindowSize, setProtocolManagerFactoryStr, setReconnectAttempts, setRetryInterval, setRetryIntervalMultiplier, setScheduledThreadPoolMaxSize, setThreadPoolMaxSize, setTransactionBatchSize, setUseGlobalPools, setUser, setUseTopologyForLoadBalancing, toString, toURI, writeExternal`

    - ### Methods inherited from class org.apache.activemq.artemis.jndi.JNDIStorable

      `getReference, readObject, writeObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

    - ### Methods inherited from interface javax.jms.TopicConnectionFactory

      `createTopicConnection, createTopicConnection`

- - ### Constructor Detail

    - #### ActiveMQTopicConnectionFactory

          public ActiveMQTopicConnectionFactory()

    - #### ActiveMQTopicConnectionFactory

          public ActiveMQTopicConnectionFactory​(java.lang.String url)

    - #### ActiveMQTopicConnectionFactory

          public ActiveMQTopicConnectionFactory​(java.lang.String url,
                                                java.lang.String user,
                                                java.lang.String password)

    - #### ActiveMQTopicConnectionFactory

          public ActiveMQTopicConnectionFactory​(ServerLocator serverLocator)

    - #### ActiveMQTopicConnectionFactory

          public ActiveMQTopicConnectionFactory​(boolean ha,
                                                DiscoveryGroupConfiguration groupConfiguration)

    - #### ActiveMQTopicConnectionFactory

          public ActiveMQTopicConnectionFactory​(boolean ha,
                                                TransportConfiguration... initialConnectors)

  - ### Method Detail

    - #### getFactoryType

          public int getFactoryType()

      Overrides:
        `getFactoryType` in class `ActiveMQConnectionFactory`